﻿/****
 *
 * Super Power Creative - Uncode Custom Style
 * Version: 1.0.1.1
 *
 **/

:root {
	--uncode-space-05x: 18px;
	--uncode-space-1x: 36px;
	--uncode-space-15x: 54px;
	--uncode-space-2x: 72px;
	--uncode-space-25x: 90px;
	--uncode-space-3x: 108px;
	--uncode-space-4x: 144px;
	--uncode-space-5x: 180px;
	--uncode-space-6x: 216px;
}

/* General Style */
.uncode-single-media.image-gray {
	-webkit-filter: grayscale(1);
	filter: grayscale(1)
}

@media (min-width: 960px) {
	.desktop-visible {
		display: block;
	}
	
	.desktop-hidden {
		display: none;
	}
}

@media (min-width: 960px) and (max-width: 768px) {
	.tablet-visible {
		display: block;
	}
	
	.tablet-hidden {
		display: none;
	}
}

@media (max-width: 767px) {
	.mobile-visible {
		display: block;
	}
	
	.mobile-hidden {
		display: none;
	}
}


/* Menu */
@media (min-width: 960px) {
	/* Remove dropdown sub-menu background highlight */
	.menu-wrapper .submenu-light .menu-horizontal:not(.menu-sub-enhanced) .menu-smart ul a:hover {
		background-color: transparent!important;
	}
}


/* Footer */
.sp-footer-privacy-menu .menu-footer-menu-container {
	text-align: right;
}

@media (max-width: 959px ) {
	.sp-footer-copyright-text,
	.sp-footer-privacy-menu .menu-footer-menu-container {
		text-align: center;
	}
	
	.main-container .sp-footer-copyright .row-inner > div {
		padding-top: 0;
	}
}


/* Uncode Row / Column */
.vc_row.sp-google-map-bottom-gap-fix .row .wpb_column .wpb_raw_html .wpb_wrapper {
	display: flex;
}

.icon-box {
	&.box-with-border {
		border: 1px solid var(--theme-color-accent);
		padding: 18px!important;
		&:first-child {
			padding-left: 18px!important;
		}
		&:last-child {
			padding-right: 18px!important;
		}
	}
	&.box-border-radius-small {
		border-radius: 4px;	
	}
}

@media( max-width: 959px) {
	.vc_row.sp-mobile-flexrow > .row > .row-inner {
		display: flex;
		gap: var(--uncode-space-1x);
	}
	
	.main-container .sp-mobile-flexrow > .row .wpb_column {
		padding-top: 0;
	}
}


/* Image Module */
.uncode-single-media.sp-hover-zoom img {
	transition: all 0.3s ease-in-out;
	-webkit-transition: all 0.3s ease-in-out;
}

.uncode-single-media.sp-hover-zoom:hover img {
	scale: 1.05;
}


/* Magnific Popup Style */
.mfp-bg.mfp-ready,
.mfp-wrap.mfp-ready {
	background-color: rgba( 255, 255, 255, 0.95);
}

.mfp-inline-holder .mfp-content {
	height: 100%;
	padding: 5%;
	overflow-y: scroll;
}

.mfp-wrap .mfp-container button.mfp-close {
	width: 60px;
	height: 60px;
	font-size: 50px;
}

.mfp-wrap .mfp-container .white-popup{
	height: 100%;
	display: flex;
}

.mfp-wrap .mfp-container .white-popup .heading-text > div p {
	margin-top: 6px;
	margin-bottom: 18px;
}

/* TradingView Stock Chart */
.wpb_raw_code.stock-chart-container {
	.wpb_wrapper {
		height: 600px;
	}
}

@media (max-width: 1024px) {
	.wpb_raw_code.stock-chart-container {
		.wpb_wrapper {
			height: 480px;
		}
	}
}

@media (max-width: 767px) {
	.wpb_raw_code.stock-chart-container {
		.wpb_wrapper {
			height: 400px;
		}
	}
}